// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	// Change recipes here
	
	// event.recipes.create:mixing('result', ['ingredient 1', 'ingredient 2'], time)
	
	// Berry Recipes
	event.recipes.createMixing('appliedenergistics2:iron_dust', ['pokecube:berry_null', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('minecraft:glowstone_dust', ['pokecube:berry_aspear', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('minecraft:redstone', ['pokecube:berry_cheri', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('minecraft:ender_pearl', ['pokecube:berry_chesto', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('minecraft:gunpowder', ['pokecube:berry_cornn', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('minecraft:quartz', ['pokecube:berry_jaboca', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('inventorypets:nugget_emerald', ['pokecube:berry_lum', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('minecraft:coal', ['pokecube:berry_persim', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('appliedenergistics2:gold_dust', ['pokecube:berry_pinap', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('appliedenergistics2:certus_quartz_crystal', ['pokecube:berry_rawst', 'minecraft:cobblestone'], 100);
	event.recipes.createMixing('minecraft:lapis_lazuli', ['pokecube:berry_rowap', 'minecraft:cobblestone'], 100);	
	
	// Tree Recipes
	event.recipes.createMixing('minecraft:ghast_tear', ['pokecube:berry_enigma', 'minecraft:cobblestone'], 100).heated();
	event.recipes.createMixing('inventorypets:nugget_diamond', ['pokecube:berry_hondew', 'minecraft:cobblestone'], 100).heated();
	event.recipes.createMixing('minecraft:blaze_rod', ['pokecube:berry_pomeg', 'minecraft:cobblestone'], 100).heated();
	
	event.recipes.createMixing('minecraft:netherite_scrap', ['pokecube:berry_leppa', 'pokecube:berry_nanab', 'minecraft:cobblestone'], 100).superheated();
	event.recipes.createMixing('minecraft:nether_star', ['pokecube:berry_kelpsy', 'pokecube:berry_sitrus', 'minecraft:cobblestone'], 100).superheated();
	event.recipes.createMixing('draconicevolution:draconium_dust', ['pokecube:berry_oran', 'pokecube:berry_pecha', 'minecraft:cobblestone'], 100).superheated();
	event.recipes.createMixing('draconicevolution:awakened_draconium_dust', ['draconicevolution:draconium_dust', 'pokecube:berry_tamato'], 100).superheated();
	

	event.shaped('minecraft:elytra', [
		'AAA',
		'S S',
		'S S'
	], {
		S: 'minecraft:leather',
		A: 'minecraft:stick'
	})

	event.shapeless('64x minecraft:firework_rocket', ['minecraft:cobblestone', 'minecraft:gunpowder'])
  
})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})